JMXConnectorProvider (Java Platform SE 8 )
Keywords: javax.management.remote.JMXConnectorProvider interface
Date: 2015-11-19

compact3
javax.management.remote

## Interface JMXConnectorProvider

-     public interface JMXConnectorProvider

  A provider for creating JMX API connector clients using a given protocol. Instances of this interface are created by `JMXConnectorFactory` as part of its `newJMXConnector` method.

  Since:
    1.5

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `JMXConnector` | `newJMXConnector(JMXServiceURL serviceURL, Map<String,?> environment)` Creates a new connector client that is ready to connect to the connector server at the given address.

- - ### Method Detail

    - #### newJMXConnector

          JMXConnector newJMXConnector(JMXServiceURL serviceURL,
                                       Map<String,?> environment)
                                throws IOException

      Creates a new connector client that is ready to connect to the connector server at the given address. Each successful call to this method produces a different `JMXConnector` object.

      Parameters:
        `serviceURL` - the address of the connector server to connect to.
        `environment` - a read-only Map containing named attributes to determine how the connection is made. Keys in this map must be Strings. The appropriate type of each associated value depends on the attribute.
      Returns:
        a `JMXConnector` representing the new connector client. Each successful call to this method produces a different object.
      Throws:
        `NullPointerException` - if `serviceURL` or `environment` is null.
        `IOException` - It is recommended for a provider implementation to throw `MalformedURLException` if the protocol in the `serviceURL` is not recognized by this provider, `JMXProviderException` if this is a provider for the protocol in `serviceURL` but it cannot be used for some reason or any other `IOException` if the connection cannot be made because of a communication problem.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2015, Oracle and/or its affiliates. All rights reserved.